Bug 830249 - swig segfaults when building libpfm rpm
swig segfaults when building libpfm rpm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 12:09 EDT by William Cohen
Modified: 2013-04-30 19:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:24:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2012-06-08 12:09:27 EDT
Description of problem:

When attempting to build http://people.redhat.com/wcohen/libpfm/libpfm-4.2.0-6.fc17.src.rpm  in rawhide the resulting build fails.


Version-Release number of selected component (if applicable):

swig-2.0.7-1

How reproducible:

everytime


Steps to Reproduce:
1. Download the libpfm-4.2.0-6.fc17.src.rpm
2. rpm -Uvh libpfm-4.2.0-6.fc17.src.rpm;cd rpmbuild/SPECS; rpmbuild -ba libpfm.spec

  
Actual results:

...
make[1]: Entering directory `/home/wcohen/rpmbuild/BUILD/libpfm-4.2.0/python'
./setup.py build
running build
running build_py
file src/perfmon_int.py (for module perfmon.perfmon_int) not found
creating build
creating build/lib.linux-x86_64-2.7
creating build/lib.linux-x86_64-2.7/perfmon
copying src/__init__.py -> build/lib.linux-x86_64-2.7/perfmon
copying src/session.py -> build/lib.linux-x86_64-2.7/perfmon
copying src/pmu.py -> build/lib.linux-x86_64-2.7/perfmon
file src/perfmon_int.py (for module perfmon.perfmon_int) not found
running build_ext
building 'perfmon._perfmon_int' extension
swigging src/perfmon_int.i to src/perfmon_int_wrap.c
swig -python -I../include -o src/perfmon_int_wrap.c src/perfmon_int.i
error: command 'swig' terminated by signal 11
make[1]: *** [all] Error 1
make[1]: Leaving directory `/home/wcohen/rpmbuild/BUILD/libpfm-4.2.0/python'
make: *** [all] Error 2



Expected results:

successful build using swig

Additional info:

Build was successful with the earlier rawhide version of swig, swig-2.0.6-1.fc18

Ran under gdb to get backtrace of the segfault:

$ gdb /bin/swig
GNU gdb (GDB) Fedora (7.4.50.20120603-3.fc18)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/swig...Reading symbols from /usr/lib/debug/usr/bin/swig.debug...done.
done.
(gdb) run  -python -I../include -o src/perfmon_int_wrap.c src/perfmon_int.i
Starting program: /usr/bin/swig -python -I../include -o src/perfmon_int_wrap.c src/perfmon_int.i
warning: Skipping deprecated .gdb_index section in /usr/lib/debug/usr/lib64/libstdc++.so.6.0.17.debug, pass --use-deprecated-index-sections to use them anyway

Program received signal SIGSEGV, Segmentation fault.
0x0000003c6469f261 in __strstr_sse2 () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install glibc-2.15.90-8.fc18.x86_64
(gdb) where
#0  0x0000003c6469f261 in __strstr_sse2 () from /lib64/libc.so.6
#1  0x00000000004f854e in Swig_scopename_last (s=0x0) at Swig/misc.c:872
#2  0x00000000004fc708 in Swig_name_str (n=n@entry=0x7ffff7d60e30)
    at Swig/naming.c:1667
#3  0x00000000004fc83b in Swig_name_decl (n=0x7ffff7d60e30)
    at Swig/naming.c:1714
#4  0x000000000047bbc8 in destructorDeclaration (n=0x7ffff7d60e50, 
    this=0x765b10) at Modules/lang.cxx:2763
#5  Language::destructorDeclaration (this=0x765b10, n=0x7ffff7d60e50)
    at Modules/lang.cxx:2724
#6  0x000000000047b4f8 in Dispatcher::emit_one (this=this@entry=0x765b10, 
    n=n@entry=0x7ffff7d60e50) at Modules/lang.cxx:135
#7  0x000000000047c16e in emit_one (n=0x7ffff7d60e50, this=0x765b10)
    at Modules/lang.cxx:377
#8  Language::emit_one (this=0x765b10, n=0x7ffff7d60e50)
    at Modules/lang.cxx:354
#9  0x000000000047b09d in Dispatcher::emit_children (this=0x765b10, 
    n=<optimized out>) at Modules/lang.cxx:212
#10 0x0000000000477b07 in Language::extendDirective (this=0x765b10, 
    n=<optimized out>) at Modules/lang.cxx:508
#11 0x000000000047b570 in Dispatcher::emit_one (this=this@entry=0x765b10, 
    n=n@entry=0x7ffff7d60f10) at Modules/lang.cxx:153
#12 0x000000000047c16e in emit_one (n=0x7ffff7d60f10, this=0x765b10)
---Type <return> to continue, or q <return> to quit---
    at Modules/lang.cxx:377
#13 Language::emit_one (this=0x765b10, n=0x7ffff7d60f10)
    at Modules/lang.cxx:354
#14 0x000000000047b09d in Dispatcher::emit_children (this=0x765b10, 
    n=<optimized out>) at Modules/lang.cxx:212
#15 0x0000000000478bde in Language::classHandler (this=0x765b10, 
    n=0x7ffff7d569f0) at Modules/lang.cxx:2452
#16 0x00000000004c39cb in PYTHON::classHandler (this=0x765b10, 
    n=0x7ffff7d569f0) at Modules/python.cxx:3748
#17 0x000000000047c7e0 in classDeclaration (n=<optimized out>, this=0x765b10)
    at Modules/lang.cxx:2423
#18 Language::classDeclaration (this=0x765b10, n=<optimized out>)
    at Modules/lang.cxx:2330
#19 0x000000000047b4b9 in Dispatcher::emit_one (this=this@entry=0x765b10, 
    n=n@entry=0x7ffff7d569f0) at Modules/lang.cxx:129
#20 0x000000000047c16e in emit_one (n=0x7ffff7d569f0, this=0x765b10)
    at Modules/lang.cxx:377
#21 Language::emit_one (this=0x765b10, n=0x7ffff7d569f0)
    at Modules/lang.cxx:354
#22 0x000000000047b09d in Dispatcher::emit_children (this=0x765b10, 
    n=<optimized out>) at Modules/lang.cxx:212
#23 0x0000000000477b6a in Language::includeDirective (this=<optimized out>, 
    n=<optimized out>) at Modules/lang.cxx:619
---Type <return> to continue, or q <return> to quit---
#24 0x000000000047b665 in Dispatcher::emit_one (this=this@entry=0x765b10, 
    n=n@entry=0x7ffff7e54030) at Modules/lang.cxx:165
#25 0x000000000047c16e in emit_one (n=0x7ffff7e54030, this=0x765b10)
    at Modules/lang.cxx:377
#26 Language::emit_one (this=0x765b10, n=0x7ffff7e54030)
    at Modules/lang.cxx:354
#27 0x000000000047b09d in Dispatcher::emit_children (this=0x765b10, 
    n=<optimized out>) at Modules/lang.cxx:212
#28 0x0000000000477b6a in Language::includeDirective (this=<optimized out>, 
    n=<optimized out>) at Modules/lang.cxx:619
#29 0x000000000047b665 in Dispatcher::emit_one (this=this@entry=0x765b10, 
    n=n@entry=0x7ffff7e4e950) at Modules/lang.cxx:165
#30 0x000000000047c16e in emit_one (n=0x7ffff7e4e950, this=0x765b10)
    at Modules/lang.cxx:377
#31 Language::emit_one (this=0x765b10, n=0x7ffff7e4e950)
    at Modules/lang.cxx:354
#32 0x000000000047b09d in Dispatcher::emit_children (this=0x765b10, 
    n=<optimized out>) at Modules/lang.cxx:212
#33 0x00000000004b4cda in PYTHON::top (this=0x765b10, n=0x7ffff7f5ec70)
    at Modules/python.cxx:941
#34 0x0000000000484d26 in SWIG_main (argc=<optimized out>, 
    argv=<optimized out>, l=<optimized out>) at Modules/main.cxx:1247
#35 0x00000000004062f3 in main (margc=<optimized out>, margv=<optimized out>)
---Type <return> to continue, or q <return> to quit---
    at Modules/swigmain.cxx:208
Comment 1 William Cohen 2012-06-08 12:25:38 EDT
This looks to be similar to this upstream problem:

http://sourceforge.net/tracker/?func=detail&aid=3530118&group_id=1645&atid=101645
Comment 2 Fedora Update System 2012-06-27 11:25:46 EDT
swig-2.0.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/swig-2.0.7-3.fc17
Comment 3 Fedora Update System 2012-06-27 23:31:48 EDT
Package swig-2.0.7-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing swig-2.0.7-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9999/swig-2.0.7-3.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-17 13:24:22 EDT
swig-2.0.7-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.